php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16863 php 4.2.0, Sablotron 0.90, compiles, when apachectl start I get a following
Submitted: 2002-04-26 15:58 UTC Modified: 2002-05-11 14:16 UTC
Votes:1
Avg. Score:3.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:0 (0.0%)
From: coreypeters at sympatico dot ca Assigned:
Status: Not a bug Package: XSLT related
PHP Version: 4.2.0 OS: Red Hat Linux 7.2
Private report: No CVE-ID: None
 [2002-04-26 15:58 UTC] coreypeters at sympatico dot ca
Cannot load /usr/local/apache2/modules/libphp4.so into server: /usr/lib/libsablot.so.0: undefined symbol: JS_PropertyStub

php 4.2.0 
./configure --with-mysql --with-pgsql --with-apxs2=/usr/local/apache2/bin/apxs  --with-png --with-open-ssl --enable-xslt --with-expat --with-xslt-sablot

&& 
./configure --with-mysql --with-pgsql --with-apxs2=/usr/local/apache2/bin/apxs  --with-png --with-open-ssl --enable-xslt --with-expat --with-xslt-sablot --without-sablot-js
 
both give the same errors

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-26 17:23 UTC] coreypeters at sympatico dot ca
I have found a way around it.  I just used --with-xslt-js and everything compiled and was loaded by apache.

Thanks
 [2002-04-28 20:39 UTC] sniper@php.net
--with-xslt-js does not exist at all..

What was the configure line with which it worked?
How did you install sablot? Compiled from soures? RPM?

And can you try again with fresh PHP 4.2.0 sources
and this configure line:

./configure --with-mysql --with-pgsql --with-apxs2=/usr/local/apache2/bin/apxs --enable-xslt --with-expat --with-xslt-sablot

(btw. --with-png or --with-open-ssl configure options can not be found in PHP configure..)


--Jani
 [2002-04-28 21:24 UTC] msopacua at idg dot nl
--with-sablot-js=DIR    Sablotron: enable JavaScript support for Sablotron

It's probably better, if it reads:
Sablotron: if you compiled Sablot with JS support, you MUST add this line and optionally point to the JS prefix (defaults to /usr/local).

So indeed, both lines by the original poster are doomed to fail.
 [2002-04-29 09:12 UTC] coreypeters at sympatico dot ca
My mistake, I meant to type

--with-sablot-js
 [2002-04-29 09:17 UTC] coreypeters at sympatico dot ca
I used the rpm version of Sablotron.  When I type ./configure --help there are options for --with-png and --with-open-ssl.  Have I done something wrong?
 [2002-05-11 14:16 UTC] sterling@php.net
nab == not a bug
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Mon Nov 18 20:01:35 2019 UTC